List of all members
clan::AES192_Encrypt Class Reference
clanCore Crypto

AES-192 encryption class (running in Cipher Block Chaining mode) More...

`#include <aes192_encrypt.h>`

## Public Member Functions
Construction
| AES192_Encrypt ()
| Constructs a AES-192 generator (running in Cipher Block Chaining mode) More...
Attributes
DataBuffer | get_data () const
| Get encrypted data. More...

## Operations
static const int | iv_size = 16
static const int | key_size = 24
static const int | block_size = 16
void | reset ()
| Resets the encryption. More...
void | set_iv (const unsigned char iv[iv_size])
| Sets the initialisation vector. More...
void | set_key (const unsigned char key[key_size])
| Sets the cipher key. More...
void | set_padding (bool value=true, bool use_pkcs7=true, unsigned int num_additional_padded_blocks=0)
| Enable AES Padding. More...
void | add (const void *data, int size)
| Adds data to be encrypted. More...
void | add (const DataBuffer &data)
| Add data to be encrypted. More...
void | calculate ()
| Finalize encryption. More...

## Detailed Description

AES-192 encryption class (running in Cipher Block Chaining mode)

The documentation for this class was generated from the following file:

- aes192_encrypt.h